[users] Audacity vs. wxGTK 2.8

Dag Wieers dag at wieers.com
Sat Sep 27 02:40:04 CEST 2008


On Fri, 26 Sep 2008, Dries Verachtert wrote:

> On Friday 26 September 2008 04:04:48 pm Dag Wieers wrote:
>> On Fri, 26 Sep 2008, Niki Kovacs wrote:
>>> I've just been skimming through Audacity's main page. Here's what they
>>> say in the release notes:
>>>
>>> --8<----------------------------------------------------------
>>> New features in Audacity 1.3.3
>>>
>>>        Support added for building against wxWidgets 2.8.x.
>>> --8<----------------------------------------------------------
>>>
>>> Hence the trouble with Audacity 1.3.2 and wgGTK 2.8.
>>
>> I tried before with audacity 1.3.5. I get:
>>
>> import/ImportFLAC.cpp: In member function 'virtual void
>> MyFLACFile::metadata_callback(const FLAC__StreamMetada ta*)':
>> import/ImportFLAC.cpp:185: error: 'FLAC__METADATA_TYPE_PICTURE' was not
>> declared in this scope make[1]: *** [import/ImportFLAC.o] Error 1
>> make[1]: Leaving directory `/dar/build/audacity-src-1.3.5-beta/src'
>> make: *** [audacity] Error 2
>
> The current flac 1.1.2 in rpmforge doesn't contain a definition for
> FLAC__METADATA_TYPE_PICTURE, but the newer version 1.2.1 at
> http://flac.sf.net/ does. An upgrade of flac might open another can of build
> problems though...

No can do, flac ships with RHEL4 and RHEL5. I think we can rule out making 
audacity work with wxGTK 2.8.8.

So who offered to make the compat-wxGTK package ?

-- 
--   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]



More information about the users mailing list